# Trait crc::crc32::Hasher32 [−] [src]

    pub trait Hasher32 {
        fn reset(&mut self);
        fn write(&mut self, bytes: &[u8]);
        fn sum32(&self) -> u32;
    }

## Required Methods

### `fn reset(&mut self)`

### `fn write(&mut self, bytes: &[u8])`

### `fn sum32(&self) -> u32`

## Implementors

- `impl Hasher32 for Digest`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)